package de.humance.eco.profile.model.impl;

import com.liferay.portal.kernel.exception.SystemException;

import de.humance.eco.profile.model.VehicleType;
import de.humance.eco.profile.service.VehicleTypeLocalServiceUtil;

/**
 * The extended model base implementation for the VehicleType service. Represents a row in the &quot;Profile_VehicleType&quot; database table, with each column mapped to a property of this class.
 *
 * <p>
 * This class exists only as a container for the default extended model level methods generated by ServiceBuilder. Helper methods and all application logic should be put in {@link VehicleTypeImpl}.
 * </p>
 *
 * @author Humance
 * @see VehicleTypeImpl
 * @see de.humance.eco.profile.model.VehicleType
 * @generated
 */
public abstract class VehicleTypeBaseImpl extends VehicleTypeModelImpl
    implements VehicleType {
    /*
     * NOTE FOR DEVELOPERS:
     *
     * Never modify or reference this class directly. All methods that expect a vehicle type model instance should use the {@link VehicleType} interface instead.
     */
    @Override
    public void persist() throws SystemException {
        if (this.isNew()) {
            VehicleTypeLocalServiceUtil.addVehicleType(this);
        } else {
            VehicleTypeLocalServiceUtil.updateVehicleType(this);
        }
    }
}
